
QGIS Application - Bug report #20570

Unexpected crash after adding points to a new layer

2018-11-21 02:54 AM - Hans Leenaarts

Status: Closed

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.2.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28390

Description

User Feedback

Report Details

Crash ID: 4c9c4132207cfebe0455a4a75aa7e4851d1832ad

Stack Trace

QgsMapCanvas::setMapTool :

QgisApp::activateDeactivateLayerRelatedActions :

QgisApp::layerEditStateChanged :

QMetaObject::activate :

QgsVectorLayer::commitChanges :

QgisApp::toggleEditing :

QMetaObject::activate :

QAction::activate :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QToolButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.3-Bonn
QGIS code revision: commit:9b176802e5

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-11-21 06:17 AM - Nyall Dawson

- Status changed from Open to Feedback

Please try with 3.4.2

#2 - 2018-11-21 04:46 PM - Jürgen Fischer

- Assignee deleted (Jürgen Fischer)

- Category changed from Windows Package to Unknown

#3 - 2019-01-15 04:09 AM - Nyall Dawson

- Resolution set to no timely feedback

- Status changed from Feedback to Closed
